rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
rpmku.c File Reference
RPMIO.
`#include "system.h"`
`#include <rpmiotypes.h>`
`#include <rpmio.h>`
`#include <rpmku.h>`
`#include "debug.h"`
Include dependency graph for rpmku.c:

Go to the source code of this file.

## Macros
#define | _RPMIOB_INTERNAL

## Functions
char * | _GetPass (const char *prompt)
char * | _RequestPass (const char *prompt)
rpmRC | rpmkuFindPubkey (pgpDigParams sigp, rpmiob *iobp)
| Lookup pubkey in keyutils keyring. More...
rpmRC | rpmkuStorePubkey (pgpDigParams sigp, rpmiob iob)
| Store pubkey in keyutils keyring. More...
const char * | rpmkuPassPhrase (const char *passPhrase)
| Return pass phrase from keyutils keyring. More...

## Variables
char *(* | Getpass )(const char *prompt) = _GetPass
| Return a password. More...

## Macro Definition Documentation

#define _RPMIOB_INTERNAL

Definition at line 7 of file rpmku.c.

## Function Documentation

char* _GetPass | ( | const char * | prompt | ) |

Definition at line 79 of file rpmku.c.

References _free(), _kuKeyring, and rpmExpand().

char* _RequestPass | ( | const char * | prompt | ) |

Definition at line 113 of file rpmku.c.

References argvSplit().

rpmRC rpmkuFindPubkey | ( | pgpDigParams | sigp,
|  | rpmiob * | iobp
| ) |  |

Lookup pubkey in keyutils keyring.

Parameters

  sigp | signature packet

Return values

  *iobp | pubkey I/O buffer

Returns
  RPMRC_OK on success

Definition at line 149 of file rpmku.c.

References _kuKeyring, alloca(), pgpGrab(), rpmiobFree(), rpmiobNew(), RPMRC_NOTFOUND, RPMRC_OK, snprintf(), stpcpy(), and xstrdup().

Referenced by rpmtsFindPubkey().

const char* rpmkuPassPhrase | ( | const char * | passPhrase | ) |

Return pass phrase from keyutils keyring.

Parameters

  passPhrase | pass phrase

Returns
  (malloc'd) pass phrase

Definition at line 219 of file rpmku.c.

References _kuKeyring, and xstrdup().

Referenced by makeGPGSignature(), and rpmCheckPassPhrase().

rpmRC rpmkuStorePubkey | ( | pgpDigParams | sigp,
|  | rpmiob | iob
| ) |  |

Store pubkey in keyutils keyring.

Parameters

  sigp | signature packet
  iob | pubkey I/O buffer

Returns
  RPMRC_OK on success

Definition at line 196 of file rpmku.c.

References _kuKeyring, alloca(), pgpGrab(), rpmiobFree(), RPMRC_OK, snprintf(), and stpcpy().

Referenced by rpmtsFindPubkey().

## Variable Documentation

char*(* Getpass)(const char *prompt) = _GetPass

Return a password.

Parameters

  prompt | prompt string

Returns
  password

Definition at line 146 of file rpmku.c.

Referenced by main(), and urlFind().